Transparent Data Encryptions - Create Or Update
Updates a logical database's transparent data encryption configuration.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/transparentDataEncryption/current?api-version=2021-02-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
database
|
path | True |
|
The name of the logical database for which the security alert policy is defined. |
|
resource
|
path | True |
|
The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal. |
|
server
|
path | True |
|
The name of the server. |
|
subscription
|
path | True |
|
The subscription ID that identifies an Azure subscription. |
|
tde
|
path | True |
The name of the transparent data encryption configuration. |
|
|
api-version
|
query | True |
|
The API version to use for the request. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| properties.state | True |
Specifies the state of the transparent data encryption. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully updated the database Transparent Data Encryption state. |
|
| 201 Created |
Successfully created the database transparent data encryption state. |
|
| 202 Accepted |
Creating or updating the database transparent data encryption configuration is in progress. |
|
| Other Status Codes |
*** Error Responses: ***
|
Examples
Update a database's Transparent Data Encryption state with minimal parameters
Sample Request
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/securitytde-42-rg/providers/Microsoft.Sql/servers/securitytde-42/databases/testdb/transparentDataEncryption/current?api-version=2021-02-01-preview
{
"properties": {
"state": "Enabled"
}
}
Sample Response
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/securitytde-42-rg/providers/Microsoft.Sql/servers/securitytde-42/databases/testdb/transparentDataEncryption",
"name": "current",
"type": "Microsoft.Sql/servers/databases/transparentDataEncryption",
"properties": {
"state": "Enabled"
}
}
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/securitytde-42-rg/providers/Microsoft.Sql/servers/securitytde-42/databases/testdb/transparentDataEncryption",
"name": "current",
"type": "Microsoft.Sql/servers/databases/transparentDataEncryption",
"properties": {
"state": "Enabled"
}
}
Definitions
|
Logical |
A logical database transparent data encryption state. |
|
Transparent |
The name of the transparent data encryption configuration. |
|
Transparent |
Specifies the state of the transparent data encryption. |
LogicalDatabaseTransparentDataEncryption
A logical database transparent data encryption state.
| Name | Type | Description |
|---|---|---|
| id |
|
Resource ID. |
| name |
|
Resource name. |
| properties.state |
Specifies the state of the transparent data encryption. |
|
| type |
|
Resource type. |
TransparentDataEncryptionName
The name of the transparent data encryption configuration.
| Name | Type | Description |
|---|---|---|
| current |
|
TransparentDataEncryptionState
Specifies the state of the transparent data encryption.
| Name | Type | Description |
|---|---|---|
| Disabled |
|
|
| Enabled |
|